Page MenuHomePhabricator

Investigate user not able to vote (not in voter list) despite being eligible
Closed, ResolvedPublic

Description

Related to list made on T95262

After a request from a user about why they weren't able to vote despite being shown as eligible on the eligibility checker I investigated and was also not 100% sure. The specific user was added to the list manually and so is able to vote but I want to make sure there isn't a more widespread issue so that we can try and fix it before the board election at least (and preferably for a good portion of the FDC election).

Data:
No record for the users gu_id was found in the centralauth securepoll_lists table when checked right after the complaint.

enWiki database (where all but 3-4 edits exist) bv2015edits has:

+----------+---------------+----------------+
| bv_user  | bv_long_edits | bv_short_edits |
+----------+---------------+----------------+
| 23512252 |           231 |            323 |
+----------+---------------+----------------+

Event Timeline

Jalexander updated the task description. (Show Details)
Jalexander raised the priority of this task from to Unbreak Now!.
Jalexander added subscribers: Jalexander, tstarling, ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2015, 7:54 AM
Varnent added a subscriber: Varnent.May 3 2015, 7:56 AM
Varnent set Security to None.
Varnent moved this task from Backlog to SecurePoll on the Elections board.May 3 2015, 8:40 AM

The date used for bv_long_edits is wrong.

Change 208578 had a related patch set uploaded (by Tim Starling):
Fixup script for bv2015 incorrect date range

https://gerrit.wikimedia.org/r/208578

Change 208578 merged by jenkins-bot:
Fixup script for bv2015 incorrect date range

https://gerrit.wikimedia.org/r/208578

Change 208584 had a related patch set uploaded (by Tim Starling):
Fixup script for bv2015 incorrect date range

https://gerrit.wikimedia.org/r/208584

Change 208585 had a related patch set uploaded (by Tim Starling):
Fixup script for bv2015 incorrect date range

https://gerrit.wikimedia.org/r/208585

Change 208584 merged by jenkins-bot:
Fixup script for bv2015 incorrect date range

https://gerrit.wikimedia.org/r/208584

Change 208585 merged by jenkins-bot:
Fixup script for bv2015 incorrect date range

https://gerrit.wikimedia.org/r/208585

The fixup script is running now.

The fixup script is running now.

Thank you very much Tim.

voterList.php is still running. It was killed by a failure in a DB slave server and had to be restarted from the beginning.

Finished and deployed. There were 53715 users in the old list, and there are 54216 users in the new list, 501 more.

tstarling closed this task as Resolved.May 6 2015, 3:56 AM
tstarling claimed this task.

We are getting reports of more members not on the list, can someone please verify:
https://meta.wikimedia.org/wiki/Talk:Wikimedia_Foundation_elections_2015#Eligibility_errors

Names:

  • Zetazeti
  • Uranatmi
Varnent reopened this task as Open.May 17 2015, 12:59 PM
Jalexander added a comment.EditedMay 17 2015, 2:57 PM

We are getting reports of more members not on the list, can someone please verify:
https://meta.wikimedia.org/wiki/Talk:Wikimedia_Foundation_elections_2015#Eligibility_errors

Names:

  • Zetazeti
  • Uranatmi

Both of those users are on the voter list (and are on both the old and the new voter list) ... if they can't vote from https://meta.wikimedia.org/wiki/Special:SecurePoll/vote/339 while logged in... then I have absolutely no idea. :(

Ettorre is reporting that he is still getting that error, as is Everyking. Any ideas?

We are getting additional reports of voters that should be eligible but are unable to vote:
https://meta.wikimedia.org/wiki/Talk:Wikimedia_Foundation_elections_2015#Eligibility_errors

Bumping for followup.

Still today it does not work. I can not still vote.
ettorre
g.

2015-05-21 16:30 GMT+02:00 Philippe-WMF <no-reply@phabricator.wikimedia.org>
:

Philippe-WMF added a comment.

Bumping for followup.

TASK DETAIL

https://phabricator.wikimedia.org/T97924

EMAIL PREFERENCES

https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: tstarling, Philippe-WMF
Cc: Ricordisamoa, Philippe-WMF, Ettorre, Glaisher, Trijnstel, Nemo_bis,
gerritbot, Varnent, ori, tstarling, Aklapper, Jalexander

When you remove that stupid custom error message, it's pretty obvious what is going on.

> var_dump($election->getQualifiedStatus($auth->getUserParams(User::newFromName('Zetazeti')))->getWikiText());
string(161) "Sorry, you cannot vote. Your account needs to have been registered before 15 April 2015 at 00:00 to vote in this election, you registered on 8 May 2015 at 23:56."

> var_dump($election->getQualifiedStatus($auth->getUserParams(User::newFromName('Uranatmi')))->getWikiText());
string(162) "Sorry, you cannot vote. Your account needs to have been registered before 15 April 2015 at 00:00 to vote in this election, you registered on 12 May 2015 at 15:40."

> var_dump($election->getQualifiedStatus($auth->getUserParams(User::newFromName('Ariel')))->getWikiText());
string(164) "Sorry, you cannot vote. Your account needs to have been registered before 15 April 2015 at 00:00 to vote in this election, you registered on 23 April 2015 at 14:38."

I don't know why there is a max-registration property in the election when there was nothing about it in the announced voter qualification rules. It obviously won't work for an autocreated metawiki account. I'm removing that property.

Also, please can someone explain why it is necessary to throw away the error message that tells the user why they are not qualified and replace it with an error message that tells the user nothing.

tstarling closed this task as Resolved.May 21 2015, 3:35 PM

Closing since the ticket shouldn't have been reopened, this is a separate bug since the users are in the voter list.

Varnent added a comment.EditedMay 21 2015, 4:16 PM

Thank you starling for fixing this problem.

I have some follow-up questions:

  1. Why is the documentation for SecurePoll so weak? I imagine confusion over how those error message work was the start of how what you are asking about happened.
  2. Why does the option to provide a custom error message in the translate section exist?
  3. Why does the custom error message replace, rather than appear above or otherwise supplement the extension's error messages?
  4. Shouldn't it work for an autocreated meta account given the setup? That seems like a problem.

However, to answer your question, the custom error message was necessary because the message is not as helpful to voters as you are implying, and I'm not sure everyone working on the committee was aware the existing errors were even being provided (see question 1). The custom error message (which does not work correctly by the way - see bug reported on that issue (T99769)) was posted to help voters know where to go to get resolution.

My suggestion would be to fix the actual bug (it is pulling age of account from source wiki rather than SUL home wiki), improve on-wiki documentation of SecurePoll, and make the custom error message supplemental rather than a replacement (T99920).